首页
学习
活动
专区
圈层
工具
发布
    • 综合排序
    • 最热优先
    • 最新优先
    时间不限
  • 来自专栏周末程序猿

    ChatGPT|AI搜索(Tiny Search)上线

    1、简介 AI搜索(Tiny Search)是类似Perplexity AI,实现会话搜索引擎,通过将搜索的内容聚合,然后通过AI进行整合从而提升搜索效率,之前贾扬清也开源了Perplexity的源码, 项目: https://github.com/leptonai/search_with_lepton 为了适配国内的搜索引擎,于是用python重新实现一个版本,大家可以通过访问(目前是beta版本,查询可能会有点慢 搜索的核心,定义了AI搜索的意图,包括两个部分: 通用的RAG的Prompt,是针对返回的内容,让LLM如何进行总结(页面上的"AI回答")。 可以看看 search_with_lepton 开源项目的如何实现的,这里定义了通用的Prompt: You are a large language AI assistant built by Lepton AI.

    21500编辑于 2025-02-27
  • 来自专栏搬砖记录

    31 Search in a Binary Search Tree

    题目 Given the root node of a binary search tree (BST) and a value. For example, Given the tree: 4 / \ 2 7 / \ 1 3 And the value to search: 2 You should return this subtree: 2 / \ 1 3 In the example above, if we want to search the value 5, since there

    84620发布于 2021-08-18
  • 来自专栏JavaEdge

    Elastic Search实战-Search API

    1 Search API简介 实现对 ES 中存储的数据进行查询,endpoint 为 _search //查询全部 GET /_search // 指定单个索引查询 GET /my_index/_ search // 指定多个索引查询 GET /my_index1,my_index2/_search // 通配符查询 GET /my_*/_search 查询形式 URI Search 方便通过命令行测试 GET /my_index/_search? GET /my_index/_search? ,请点击上文 Elasticsearch Search API - Request Body Search

    1.4K10发布于 2021-02-22
  • 来自专栏猫头虎博客专区

    ChatGPT SearchAI 搜索离「谷歌杀手」还有多远?

    ChatGPT SearchAI 搜索离「谷歌杀手」还有多远? 大家好,我是猫头虎技术团队的小编猫头虎! 正文 ChatGPT Search的亮点:未来可期 ChatGPT Search 是一个全新 AI 驱动的搜索工具,旨在以更直观、简洁的方式解决用户问题。 这样的复杂问题,ChatGPT Search 能在几秒内提供合理的解答。 例如:ChatGPT Search 在回答“哪个美国职业体育联盟最具多样性?” 我们可以预见,未来的 AI 搜索工具将不仅仅停留在回答问题的层面,还会在日常信息获取上提供更为便捷和智能的支持。 在未来,我们或许会使用一款能够兼顾短关键词和复杂问题的 AI 搜索工具,这将是搜索市场一次革命性的飞跃。未来的智能搜索可能不再是「找答案」的工具,而是一个真正的「知识伙伴」。

    22110编辑于 2024-11-07
  • 来自专栏中间件兴趣圈

    Elasticsearch Search API 概述与URI Search

    本节开始,将详细介绍Search API的使用。 URI Search Elasticsearch支持使用URI请求模式来使用Search API,并不支持查询请求体中所有参数,该模式主要用途是用于测试,诸如使用CURL查询命令等。 URI Search示例如下: 1GET twitter/_search? search_type 查询类型,已在文章开头处介绍。 本节主要是对Elasticsearch Search API有一个概要的认识与如何使用URI进行查询,从下一节开始将深入到Search A-PI各个细节中去,以便大家对Search A-PI的运用得心应手

    2.3K20发布于 2019-06-10
  • 来自专栏赵俊的Java专栏

    LeetCode 700 Search in a Binary Search Tree

    } return root; } } Runtime: 0 ms, faster than 100.00% of Java online submissions for Search in a Binary Search Tree. Memory Usage: 40.4 MB, less than 17.60% of Java online submissions for Search in a Binary Search Tree

    67810发布于 2019-12-30
  • 来自专栏全栈程序员必看

    Search for a Range

    Given a sorted array of integers, find the starting and ending position of a given target value.

    78020编辑于 2022-07-06
  • 来自专栏【腾讯云开发者】

    一文读懂AI Search:从RAG到DeepSearch

    为了应对LLMs内在知识的有限性,检索增强技术RAG(AI + Search)应运而生。 以AI Search或者Search Agent为基础,其他各种Coding Agent、Browser Agent等智能体百花齐放,并且未来的趋势是通用型智能体。 下面我们可以看一下Jina AI和Google Gemini的方案,二者整体都很简洁,主要面向AI Search垂直领域。 除此之外,AI Search通常只有一个检索工具,用来获取外部知识。 总的来说,AI Search是其他垂直AI应用Agent的前置依赖和基础。同理,以人类为例,阅读是创作的基础和前提。

    1.1K23编辑于 2025-07-24
  • 来自专栏SnailTyan

    Search in a Binary Search Tree

    return searchBST(root->left, val); } } }; Reference https://leetcode.com/problems/search-in-a-binary-search-tree

    70910发布于 2019-05-25
  • 来自专栏皮皮星球

    Binary Search - 35. Search Insert Position

    Search Insert Position Given a sorted array and a target value, return the index if the target is found 使用binary search来做。

    59010发布于 2020-09-23
  • 来自专栏vanguard

    Elastic Search

    You Know, for Search Installation after JDK and Docker # momory # grep MemTotal /proc/meminfo # processor Create search UI and test search relevancy of your dataset with zero lines of code. ']['hits'] def _scroll(self,idx,bdy=bdy_matchall,wait='5m',out='5s'): a_search = self.es.search while a_search['hits']['total'] > 0: a_search = self.es.scroll( scroll_id = scrollid, scroll _search(idx_service_inventory) def get_service_count(self): return [self.

    2K40发布于 2020-12-24
  • 来自专栏Pytorch实践

    Beam Search

    Beam Search并不是很陌生的算法,它和深度优先算法、广度优先算法一样都曾被使用于树结构的搜索。 本文重提Beam Search主要是因为在智能对话生成式模型中,Beam Search被应用在解码过程。而对话系统的生成式模型,本公众号也曾经进行过介绍。 本文主要解决如下三个问题: Q1: 在生成式对话系统中,为什么会使用Beam Search算法? Q2: Beam Search的具体原理是什么? 使用Beam Search的原因,不是保证每个时刻得到单个词的概率最大,而是要保证y1,y2,...ym这个序列的联合概率最大。 对于Q2,这里主要从解码过程进行介绍Beam Search的基本原理。 对于Q3,由于上述的Beam Search容易陷入局部最优,或者说容易让某个Beam起到主导作用,这时解码产生的回复,Beam中的候选很相似,让回复比较单一。

    1.9K40发布于 2018-06-07
  • 来自专栏SnailTyan

    Word Search

    (int j = 0; j < columns; j++) { if(board[i][j] == word[0]) { if(search } } } } return false; } bool search 1; if(current == word.length()) { return true; } bool result = search (board, word, i + 1, j, current, rows, columns) || search(board, word, i - 1, j, current || search(board, word, i, j - 1, current, rows, columns); board[i][j] += 60; return result

    77410发布于 2019-05-25
  • 来自专栏总栏目

    Exhaustive Search

    废江博客 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 转载请注明原文链接:Exhaustive Search

    45820编辑于 2022-09-05
  • 来自专栏总栏目

    Linear Search

    Coding #include<iostream> #include<cstdio> #include<stdio.h> using namespace std; //带有标记的线性搜索 int search ) scanf("%d", &A[i]); scanf("%d", &q); for (int i = 0; i < q; i++) { scanf("%d", &key); if (search int search(int A[],int n, int key) { int i = 0; A[n] = key;//标记搜索先给关键字放在末尾 while (A[i] ! = n; } 废江博客 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 转载请注明原文链接:Linear Search

    42320编辑于 2022-09-05
  • 来自专栏Java探索之路

    Elastic Search

    Elastic Search ELK基础 一、 什么是Elastic Search 1 相关概念 1.1 cluster 1.2 shards 1.3 replicas 1.4 recovery 总结:索引不可变 8.8.1 倒排索引不可变的好处 8.8.2 倒排索引不可变的坏处 8.9 新增Document 8.10.2 GET _mget批量查询 ELK基础 一、 什么是Elastic Search order_no":1 } PUT /test_index/my_type/2 { "name":"test_doc_02", "remark":"second test elastic search "order_no":2 } PUT /test_index/my_type/3 { "name":"test_doc_03", "remark":"third test elastic search "name": "test_doc_01", "remark": "first test elastic search", "order_no":1 } } 8.10.2 GET _

    1.9K40发布于 2020-07-24
  • 来自专栏全栈程序员必看

    Binary search

    Binary Search Jon Bentley以前说过类似的话:“90%的程序猿无法正确实现二分查找算法 就冲着这句话去写binary search binary_search 的算法实现部分 / ********************************************************* code writer : EOF code file : binary_search.c description: You may have to KNOW that the @array was sequenced from min to max when you use "binary search return -1. ********************************************************/ #include <stdio.h> int binary_search in Python. ''' def binary_search(array, element): high = len(array) mid = -1 for low in

    60820编辑于 2022-07-05
  • 来自专栏总栏目

    Binary Search

    else R=mid-1; } return -1; } 废江博客 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 转载请注明原文链接:Binary Search

    43940编辑于 2022-09-05
  • 来自专栏皮皮星球

    Binary Search - 33. Search in Rotated Sorted Array

    Search in Rotated Sorted Array Suppose an array sorted in ascending order is rotated at some pivot unknown You are given a target value to search. Example 2: Input: nums = [4,5,6,7,0,1,2], target = 3 Output: -1 思路: 题目意思是找出一个翻转过的数组中目标元素的下标,使用binary search 代码: go: func search(nums []int, target int) int { if nums == nil || len(nums) == 0 { return

    44810发布于 2020-09-23
  • 来自专栏中间件兴趣圈

    Elasticsearch Search API之搜索模板(search Template)

    ---- 本节将详细介绍Elasticsearch Search API的搜索模板。 mustache模板语法 首先在学习Search Template之前,我们需要先掌握mustache模板语法,因为在ES中默认使用mustache语言来定义模板。 掌握了mustache语法后,我们进入ES Search Template的讲解。 ES搜索模板详解 下面从示例开始着手介绍: 1GET _search/template 2{ 3 "source" : { 4 "query": { "match" : { "{ Multi Search Template 多模板搜索API可以在一次请求中执行多个搜索模板,其请求格式与Bulk、Multi-Search请求格式与工作机制类似。

    3.9K10发布于 2019-06-10
领券